<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Include files</TITLE>
<link href="builder_31.html" rel=Next>
<link href="builder_29.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_29.html">previous</A>, <A HREF="builder_31.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC61" HREF="builder_toc.html#TOC61">Definitions in Include Files</A></H1>
<P>
<A NAME="IDX155"></A>
<A NAME="IDX156"></A>

</P>
<P>
All definitions below are under the <STRONG>block</STRONG> class.  Many of the
functions in <EM>block</EM> are declared static, but the static
declaration is not shown in this document.  Check include files for
further details.

</P>

<UL>
<LI><A HREF="builder_31.html#SEC62">Decl. Blocks</A>: Block structure manipulation and 
                                   initialization.
<LI><A HREF="builder_32.html#SEC63">Decl. Expressions(overloading)</A>: Expressions using C++ operator overloading.
<LI><A HREF="builder_33.html#SEC64">Decl. Expressions(functions)</A>: Expressions using explicit function calls.
<LI><A HREF="builder_34.html#SEC65">Decl. Operators</A>: Unary, binary and assign operators for 
                                   expressions.
<LI><A HREF="builder_35.html#SEC66">Decl. Values</A>: Literal values.
<LI><A HREF="builder_36.html#SEC67">Decl. Variable Use</A>: Use of variables (base, structure, 
                                   array etc.).
<LI><A HREF="builder_37.html#SEC68">Decl. Variable Definitions</A>: Defining vairables and types.
<LI><A HREF="builder_38.html#SEC71">Decl. Control Flow</A>: Control-flow.
<LI><A HREF="builder_39.html#SEC72">Decl. SUIF in Builder</A>: Using existing SUIF code when building
                                   new structures.
<LI><A HREF="builder_40.html#SEC73">Decl. SUIF from Builder</A>: Generating SUIF code after building 
                                   a structure.
<LI><A HREF="builder_41.html#SEC74">Decl. Misc.</A>: Print and help functions.
</UL>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_29.html">previous</A>, <A HREF="builder_31.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
